﻿Type=Service
Version=7.01
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Service Attributes
    #StartAtBoot: False
    #StartCommandReturnValue: android.app.Service.START_STICKY
#End Region

Sub Process_Globals
	Dim n As Notification
End Sub

Sub Service_Create
	n.Initialize
	setNotification
End Sub

Sub Service_Start (StartingIntent As Intent)
	If n.IsInitialized Then n.Notify(1)
End Sub

Sub Service_Destroy
	If n.IsInitialized Then n.Cancel(1)
End Sub

Sub setNotification
	If n.IsInitialized Then
		If Main.InOutState = True Then
			n.Icon = "icon_in"
			n.SetInfo("Minimal 2", "You are IN", Main)
		Else
			n.Icon = "icon_out"
			n.SetInfo("Minimal 2", "You are OUT", Main)
		End If
		n.Vibrate = False
		n.Light = False
		n.Sound = False
		n.AutoCancel = False
		n.Insistent = False
		n.OnGoingEvent = True
	End If
End Sub
